summaryrefslogtreecommitdiffstats
path: root/projectroot/etc/init.d/boa
diff options
context:
space:
mode:
Diffstat (limited to 'projectroot/etc/init.d/boa')
-rw-r--r--projectroot/etc/init.d/boa23
1 files changed, 23 insertions, 0 deletions
diff --git a/projectroot/etc/init.d/boa b/projectroot/etc/init.d/boa
new file mode 100644
index 000000000..53c28d715
--- /dev/null
+++ b/projectroot/etc/init.d/boa
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Starting boa: "
+ /usr/sbin/boa
+ echo
+ ;;
+ stop)
+ echo -n "Shutting down boa: "
+ killall boa
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0